%define version 1.0
%define name gnupg-rsa
Summary: RSA and IDEA modules for gnupg - international version
Name: %{name}
Version: %{version}
Release: 2
Copyright: distributable
Group: Applications/Cryptography
Source0: ftp://ftp.gnupg.org/pub/gcrypt/contrib/rsa.c
Source1: ftp://ftp.gnupg.org/pub/gcrypt/contrib/idea.c
Source2: README.%{name}
URL: http://www.gnupg.org
Requires: gnupg
Conflicts: gnupg-rsaref
BuildRoot: /tmp/%{name}-buildroot/

%description
With these modules gnupg can decrypt messages encrypted to RSA keys with 
any version of PGP.  Messages encrypted by gnupg to an RSA key can be 
decrypted by pgp 5.x but not by pgp 2.x.

ATTENTION: This code should not be exported to the United States
nor should it be used there without a license agreement with PKP.
The RSA algorithm is protected by U.S. Patent #4,405,829 which
expires on September 20, 2000!

The IDEA algorithm is patented by Ascom Systec Ltd. of CH-5506 Maegenwil,
Switzerland, who allow it to be used on a royalty-free basis for certain
non-profit applications.  Commercial users must obtain a license from the
company in order to use IDEA.	

For usage and legal information see /usr/doc/%{name}-%{version}/README

%prep
%setup -T -c
rm -rf $RPM_BUILD_ROOT

cp $RPM_SOURCE_DIR/rsa.c .
cp $RPM_SOURCE_DIR/idea.c .
cp $RPM_SOURCE_DIR/README.%{name} README

%build
gcc -Wall -O2 -shared -fPIC -o rsa rsa.c 
gcc -Wall -O2 -shared -fPIC -o idea idea.c 

%install
install -d $RPM_BUILD_ROOT/usr/lib/gnupg
install -s rsa $RPM_BUILD_ROOT/usr/lib/gnupg
install -s idea $RPM_BUILD_ROOT/usr/lib/gnupg

%files
%defattr(-,root,root)
%doc README
/usr/lib/gnupg/rsa
/usr/lib/gnupg/idea

%clean
rm -rf $RPM_BUILD_ROOT

